package cz.frantovo.nekurak.dto;

import java.io.Serializable;
import java.util.Date;
import java.util.HashSet;
import java.util.Set;

/**
 * Podnik – hospoda, bar, kavárna…
 * @author fiki
 */
public class Podnik implements Serializable {

    private int id;
    private String nazev;
    private String popis;
    private String url;
    private String ulice;
    private Date datum;
    private int cisloPopisne;
    private String mesto;
    private String spravce;
    private Set<Fotka> fotky = new HashSet<Fotka>();

    public Podnik() {
    }

    public Podnik(int id, String nazev) {
	this.id = id;
	this.nazev = nazev;
    }

    public int getId() {
	return id;
    }

    public void setId(int id) {
	this.id = id;
    }

    public String getNazev() {
	return nazev;
    }

    public void setNazev(String nazev) {
	this.nazev = nazev;
    }

    public String getPopis() {
	return popis;
    }

    public void setPopis(String popis) {
	this.popis = popis;
    }

    public String getUrl() {
	return url;
    }

    public void setUrl(String url) {
	this.url = url;
    }

    public String getUlice() {
	return ulice;
    }

    public void setUlice(String ulice) {
	this.ulice = ulice;
    }

    public Date getDatum() {
	return datum;
    }

    public void setDatum(Date datum) {
	this.datum = datum;
    }

    public int getCisloPopisne() {
	return cisloPopisne;
    }

    public void setCisloPopisne(int cisloPopisne) {
	this.cisloPopisne = cisloPopisne;
    }

    public String getMesto() {
	return mesto;
    }

    public void setMesto(String mesto) {
	this.mesto = mesto;
    }

    public String getSpravce() {
	return spravce;
    }

    public void setSpravce(String spravce) {
	this.spravce = spravce;
    }

    public Set<Fotka> getFotky() {
	return fotky;
    }

    public void setFotky(Set<Fotka> fotky) {
	this.fotky = fotky;
    }
}
